com.holonplatform.core.query

## Interface QueryFilter.QueryFilterResolver<T extends QueryFilter>

- Type Parameters:
    `T` - QueryFilter type to be resolved
  All Superinterfaces:
    Expression.ExpressionResolverFunction<T,QueryFilter>, ExpressionResolver<T,QueryFilter>, Serializable
  Enclosing interface:
    QueryFilter

      public static interface QueryFilter.QueryFilterResolver<T extends QueryFilter>
      extends ExpressionResolver<T,QueryFilter>

  Convenience interface to create an `ExpressionResolver` to resolve a custom `QueryFilter` class into a standard `QueryFilter`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.ExpressionResolver

      `ExpressionResolver.ExpressionResolverBuilder<C extends ExpressionResolver.ExpressionResolverBuilder<C>>, ExpressionResolver.ExpressionResolverHandler, ExpressionResolver.ExpressionResolverProvider, ExpressionResolver.ExpressionResolverSupport, ExpressionResolver.ResolutionContext`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.ExpressionResolver

      `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends QueryFilter> ExpressionResolver<T,QueryFilter>` | `create(Class<? extends T> type, Expression.ExpressionResolverFunction<T,QueryFilter> function)` Create an `ExpressionResolver` to resolve a custom `QueryFilter` class into a standard `QueryFilter` using the given resolver function.
    `default Class<? extends QueryFilter>` | `getResolvedType()` Get the resolved expression type

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver

      `create, getExpressionType`

    - ### Methods inherited from interface com.holonplatform.core.Expression.ExpressionResolverFunction

      `resolve`

- - ### Method Detail

    - #### getResolvedType

          default Class<? extends QueryFilter> getResolvedType()

      Description copied from interface: `ExpressionResolver`
      Get the resolved expression type
      Specified by:
        `getResolvedType` in interface `ExpressionResolver<T extends QueryFilter,QueryFilter>`
      Returns:
        Resolved expression type (not null)

    - #### create

          static <T extends QueryFilter> ExpressionResolver<T,QueryFilter> create(Class<? extends T> type,
                                                                                  Expression.ExpressionResolverFunction<T,QueryFilter> function)

      Create an `ExpressionResolver` to resolve a custom `QueryFilter` class into a standard `QueryFilter` using the given resolver function.
      Type Parameters:
        `T` - QueryFilter type to be resolved
      Parameters:
        `type` - QueryFilter type to be resolved
        `function` - Resolver function
      Returns:
        A new `ExpressionResolver`

Copyright © 2019 The Holon Platform. All rights reserved.